Bug 971911 - Wireshark lacks SSL support
Wireshark lacks SSL support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 10:42 EDT by kkuehl
Modified: 2016-05-31 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 01:45:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kkuehl 2013-06-07 10:42:33 EDT
Description of problem:
wireshark does not contain SSL support 



Version-Release number of selected component (if applicable):
wireshark-gnome-1.8.6-4.fc19.x86_64
wireshark-1.8.6-4.fc19.x86_64


How reproducible:
$ wireshark --version
wireshark 1.8.6 (SVN Rev Unknown from unknown)

Copyright 1998-2013 Gerald Combs <gerald@wireshark.org> and contributors.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compiled (64-bit) with GTK+ 2.24.17, with Cairo 1.12.14, with Pango 1.34.0, with
GLib 2.36.0, with libpcap, with libz 1.2.7, with POSIX capabilities (Linux),
with SMI 0.4.8, with c-ares 1.9.1, with Lua 5.1, with Python 2.7.3, without
GnuTLS, with Gcrypt 1.5.1, with MIT Kerberos, with GeoIP, with PortAudio
V19-devel (built May  4 2013 13:59:07), with AirPcap.

Running on Linux 3.9.4-301.fc19.x86_64, with locale en_US.UTF-8, with libpcap
version 1.3.0, with libz 1.2.7, Gcrypt 1.5.2, without AirPcap.



Steps to Reproduce:
See http://wiki.wireshark.org/SSL (this worked properly on Fedora 18).

If Wireshark is compiled with SSL decryption support, there will be a new option in the preferences for SSL. This only works for RSA key exchange if the RSA keys can be provided. If the key entry option is absent - then verify if your Wireshark is linked against the required GnuTLS library. This can be done with  wireshark -v . The output should include GnuTLS and GCrypt. If you see without GnuTLS, without Gcrypt, then you will need reconfigure with --with-gnutls, recompile and reinstall..

Actual results:
No SSL support

Expected results:
SSL support.

Additional info:
This is most likely due to wiresharks gnutls version requirements.
I obtained this information by downloading wireshark-1.8.7 and running 
./configure --with-gnutls and then examining config.log

configure:16699: $PKG_CONFIG --exists --print-errors "gnutls >= 1.2.0 gnutls < 3"
Requested 'gnutls < 3' but version of GnuTLS is 3.1.11
You may find new versions of GnuTLS at http://www.gnutls.org/
configure:16702: $? = 1
configure:16716: $PKG_CONFIG --exists --print-errors "gnutls >= 1.2.0 gnutls < 3"
Requested 'gnutls < 3' but version of GnuTLS is 3.1.11
You may find new versions of GnuTLS at http://www.gnutls.org/
configure:16719: $? = 1
configure:16733: result: no
Requested 'gnutls < 3' but version of GnuTLS is 3.1.11
Comment 1 Jeff Morriss 2013-06-10 21:41:37 EDT
This will be fixed in Wireshark 1.8.9.  See:

http://wiki.wireshark.org/Development/Roadmap

In particular this revision:

https://anonsvn.wireshark.org/viewvc?revision=48758&view=revision
Comment 2 Jeff Morriss 2013-08-02 18:30:49 EDT
Wireshark 1.8.9 was released on July 26th.  Now it just needs to be picked up by Fedora.
Comment 3 Peter Hatina 2013-08-16 02:10:54 EDT
Will be packaged asap. Taking PTO...
Comment 4 Peter Hatina 2013-09-03 10:51:54 EDT
Using wireshark-1.10.0-2.fc19

$ wireshark --version
wireshark 1.10.0 (SVN Rev Unknown from unknown)

Copyright 1998-2013 Gerald Combs <gerald@wireshark.org> and contributors.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Compiled (64-bit) with GTK+ 2.24.18, with Cairo 1.12.14, with Pango 1.34.1, with
GLib 2.36.3, with libpcap, with libz 1.2.7, with POSIX capabilities (Linux),
without libnl, with SMI 0.4.8, with c-ares 1.10.0, with Lua 5.1, without Python,
with GnuTLS 3.1.11, with Gcrypt 1.5.2, with MIT Kerberos, with GeoIP, with
PortAudio V19-devel (built May  4 2013 13:59:07), with AirPcap.

Running on Linux 3.10.5-201.fc19.x86_64, with locale en_US.UTF-8, with libpcap
version 1.4.0, with libz 1.2.7, GnuTLS 3.1.11, Gcrypt 1.5.3, without AirPcap.
       Intel(R) Core(TM) i7-3520M CPU @ 2.90GHz

Built using gcc 4.8.1 20130603 (Red Hat 4.8.1-1).

*with GnuTLS 3.1.11*, it should be OK now.
Comment 5 Fedora End Of Life 2015-01-09 17:08:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jeff Morriss 2015-01-10 10:48:45 EST
(In reply to Peter Hatina from comment #4)
> *with GnuTLS 3.1.11*, it should be OK now.

Shouldn't this be closed as fixed now (rather than timing out because FC19 is EOL)?

Anyway, I guess in the end it doesn't matter.

Note You need to log in before you can comment on or make changes to this bug.